package cn.com.infosec.asn1.x9;

import cn.com.infosec.asn1.ASN1Encodable;
import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1OctetString;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERSequence;
import java.util.Enumeration;

public class KeySpecificInfo extends ASN1Encodable {
   private DERObjectIdentifier algorithm;
   private ASN1OctetString counter;

   public KeySpecificInfo(DERObjectIdentifier algorithm, ASN1OctetString counter) {
      this.algorithm = algorithm;
      this.counter = counter;
   }

   public KeySpecificInfo(ASN1Sequence seq) {
      KeySpecificInfo var10000 = this;
      super();
      Enumeration var2;
      this.algorithm = (DERObjectIdentifier)(var2 = seq.getObjects()).nextElement();
      var10000.counter = (ASN1OctetString)var2.nextElement();
   }

   public DERObjectIdentifier getAlgorithm() {
      return this.algorithm;
   }

   public ASN1OctetString getCounter() {
      return this.counter;
   }

   public DERObject toASN1Object() {
      ASN1EncodableVector var1;
      ASN1EncodableVector var10000 = var1 = new ASN1EncodableVector;
      var1.<init>();
      var1.add(this.algorithm);
      var10000.add(this.counter);
      return new DERSequence(var1);
   }
}
